<template>
  <div class="page" data-name="home">
    <!-- Top Navbar -->
    <div class="navbar navbar-large">
      <div class="navbar-bg" style="background-image: linear-gradient(to right, #004d7a, #008793, #6d9987);"></div>
      <div class="navbar-inner">
        <div class="left">
          <a href="#" class="link icon-only panel-open" data-panel="left">
            <i class="icon f7-icons if-not-md" style="color: white;">menu</i>
            <i class="icon material-icons if-md" style="color: white;">menu</i>
          </a>
        </div>
        <div class="title sliding" style="color: white;">akbar</div>
        <div class="right">
          <a href="/notifikasi/" class="link">
            <img src="https://tokoakbar.com/public/static/img/new_icon/notif.png">
            <!-- <i class="icon f7-icons if-not-md">menu</i>
            <i class="icon material-icons if-md">menu</i> -->
          </a>
        </div>
        <div class="title-large">
          <div class="title-large-text" style="color: white;">akbar</div>
        </div>
      </div>
    </div>

    <!-- Scrollable page content-->
    <div class="page-content">
              <!-- <div class="block">
                <p class="row">
                  <button class="col button button-small button-round button-fill" style="background-color: #e1e1e1;color: #000;border:1px solid #e8e8e8;">Ringkasan</button>
                  <a href="/produk/" class="col button button-small button-round link" style="color: #000;border:1px solid #e8e8e8;">Produk</a>
                </p>
                <p class="row">
                  <a href="/laporan_penjualan/" class="col button button-small button-round link" style="color: #000;border:1px solid #e8e8e8;">Laporan Penjualan</a>
                  <a href="/laporan_stok/" class="col button button-small button-round link" style="color: #000;border:1px solid #e8e8e8;">Laporan Stok</a>
                </p>
              </div> -->

              <!-- page -->
              <!-- <hr style="margin-right: 140px;margin-left: 10px;"> -->

              <div class="row" style="margin-top: 15px;margin-bottom: 10px;">
                <div class="col-100" style="margin-left: 15px;color: #fff;font-size: 10px;"><b>Data Terkini</b></div>
              </div>
              
                <div class="row no-gap">
                  <div class="col-50 tablet-50">
                    <div class="card" style="background-color: #fff;padding: 0;border-radius: 13px;height: 100px;
                    border: none;height: 100px;margin-right: 2px;
                    -moz-box-shadow: 0 0 0 rgba(0, 0, 0, .1);
                    -webkit-box-shadow: 0 0 0 rgba(0, 0, 0, .1);">
                      <div class="card-header">
                        <img src="https://tokoakbar.com/public/static/img/new_icon/price-tag.png" width="45px" style="margin-top: 5px;margin-left: 0px;margin-right: 5px; ">
                        <b style="font-size: 12px;margin-top: 5px;">Total Penjualan</b></div>
                      <div class="card-content card-content-padding txttotalpenjualan" style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
                    </div>
                  </div>
                  <div class="col-50 tablet-50">
                    <div class="card" style="background-color: #fff;padding: 0;border-radius: 13px;
                    border: none;height: 100px;margin-left: 2px;
                    -moz-box-shadow: 0 0 0 rgba(0, 0, 0, .1);
                    -webkit-box-shadow: 0 0 0 rgba(0, 0, 0, .1);">
                      <div class="card-header">
                        <img src="https://tokoakbar.com/public/static/img/new_icon/shopping-cart.png" width="40px" style="margin-top: 5px;margin-left: 0px;margin-right: 10px;">
                        <b style="font-size: 12px;margin-top: 5px;"> Total Transaksi</b></div>
                      <div class="card-content card-content-padding txttotaltransaksi" style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
                    </div>
                  </div>
                </div>
                <div class="row no-gap" style="margin-top: -10px;">
                  <div class="col-50 tablet-50">
                    <div class="card" style="background-color: #fff;border-radius: 13px;
                    border: none;height: 100px;margin-right: 2px;">
                      <div class="card-header" style="font-size: 12px;">
                        <img src="https://tokoakbar.com/public/static/img/new_icon/trolley.png" width="45px" style="margin-top: 5px;margin-left: 0px;margin-right: 10px;">
                        <b style="font-size: 12px;margin-top: 5px;">Total Produk</b></div>
                      <div class="card-content card-content-padding txttotalproduk" id="txttotalproduk"  style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
                    </div>
                  </div>
                  <div class="col-50 tablet-50">
                    <div class="card" style="background-color: #fff;padding: 0;border-radius: 13px;
                    border: none;height: 100px;margin-left: 2px;">
                      <div class="card-header" style="font-size: 12px;">
                        <img src="https://tokoakbar.com/public/static/img/new_icon/shopping-basket.png" width="40px" style="margin-right: 10px;margin-top: 5px;">
                        <b style="font-size: 12px;margin-top: 5px;">Produk Aktif</b></div>
                      <div class="card-content card-content-padding txtprodukaktive" id="txtprodukaktive" style="text-align: center;font-size: 20px;margin-top: -10px;">Card</div>
                    </div>
                  </div>
                </div>
              <!-- end card -->
              <!-- end page -->
  
              <div class="row" style="margin-top: 20px;margin-bottom: 10px;">
                <div class="col-100" style="margin-left: 15px;color: #fff;font-size: 10px;"><b>Produk Terlaris</b></div>
              </div>
              <!-- produk laris -->
              <div class="list" style="margin-top:0px">
                <ul class="loadproduk" style="margin-left: 10px;margin-right: 10px;border-radius: 10px;">
                  <li>
                    <div class="item-content">
                      <div class="item-inner">
                      <div class="item-title"><b>Nama Produk</b></div>
                      <div class="item-after"><b>Sisa Stok</b></div> 
                      </div>
                    </div>
                  </li>
                </ul>
              </div>
              <!-- end list -->  
              <div class="row" style="margin-top: 15px;margin-bottom: 10px;">
                <div class="col-100" style="margin-left: 15px;color: #fff;font-size: 10px;"><b>Stok Minimal</b></div>
              </div>
              <!-- produk laris -->
              <div class="list" style="margin-top:0px;">
                <ul class="loadprodukminim" style="margin-left: 10px;margin-right: 10px;border-radius: 10px;">
                  <li>
                    <div class="item-content">
                      <div class="item-inner">
                      <div class="item-title"><b>Nama Produk</b></div>
                      <div class="item-after"><b>Sisa Stok</b></div> 
                      </div>
                    </div>
                  </li>
                </ul>
              </div>
              <!-- end list -->              

            </div>

  </div>
</template>
<script>
  import $$ from 'dom7';
  export default {
    // Lifecycle Hooks
    beforeCreate() {
      console.log('componentBeforeCreate', this)
    },
    created() {
      console.log('componentCreated', this)
    },
    beforeMount() {
      console.log('componentBeforeMount', this)
    },
    mounted() {
      console.log('componentMounted', this);
    },
    beforeDestroy() {
      console.log('componentBeforeDestroy', this);
    },
    destroyed() {
      console.log('componentDestroyed', this);
    },
    // Component Data
    data: function () {
      // Must return an object
      return {
        name: 'Jimmy',
        age: 25,
        like: ['Tennis', 'Chess', 'Football'],
      }
    },
    // Component Methods
    methods: {
      openAlert: function () {
        var self = this;
        self.$app.dialog.alert('Hello World');
      },
    },
    // Page Events
    on: {
      pageMounted: function(e, page) {
        console.log('pageMounted', page);
      },
      pageInit: function(e, page) {
        // console.log('pageInit', page);

          const self = this;
          const app = self.$f7;
          // var $ = f7.$;

          app.preloader.show();
          // request user data on page init
          // app.request.get(urlApi+'api/produk', (data) => {
          app.request.get('https://backoffice.tokoakbar.com/api/produk', (data) => {
            // update component state with new state
            self.$setState({
              produk: data,
            });
            app.preloader.hide();
          },'json');
                
        // create searchbar
        var searchbar = app.searchbar.create({
            el: '.searchbar',
            searchContainer: '.list',
            searchIn: '.item-title',
            on: {
              search(sb, query, previousQuery) {
                console.log(query, previousQuery);
              }
            }
          });

          //tampil data
          app.request.get('https://backoffice.tokoakbar.com/api/total_penjualan', (data) => {
            
            $$('.txtprodukaktive').text(data.produk_aktive);
            $$('.txtproduktdkaktive').text(data.produk_nonaktive);
            $$('.txttotalproduk').text(data.total_produk);
            $$('.txttotaltransaksi').text(data.total_transaksi);
            $$('.txttotalpenjualan').text(data.total_penjualan);
          },'json');

          // request user data on page init
          app.request.get('https://backoffice.tokoakbar.com/api/produk_terlaris/5', (data) => {
            // update component state with new state
            data.forEach(function(v,i){
              // alert(v.nama);
              $$('.loadproduk').append('<li>'+
                  '<div class="item-content">'+
                    '<div class="item-inner">'+
                    '<div class="item-title">'+v.nama+'</div>'+
                    '<div class="item-after">'+v.total_qty+'</div>'+
                    '</div>'+
                  '</div>'+
              '</li>');
            });
          },'json');
          // request user data on page init
          app.request.get('https://backoffice.tokoakbar.com/api/produk_minimum/5', (data) => {
            // update component state with new state
            data.forEach(function(v,i){
              // alert(v.nama);
              $$('.loadprodukminim').append('<li>'+
                  '<div class="item-content">'+
                    '<div class="item-inner">'+
                    '<div class="item-title">'+v.nama+'</div>'+
                    '<div class="item-after">'+v.sisa_stok  +'</div>'+
                    '</div>'+
                  '</div>'+
              '</li>');
            });
          },'json');
      },
      pageBeforeIn: function(e, page) {
        console.log('pageBeforeIn', page);
      },
      pageAfterIn: function(e, page) {
        console.log('pageAfterIn', page);
      },
      pageBeforeOut: function(e, page) {
        console.log('pageBeforeOut', page);
      },
      pageAfterOut: function(e, page) {
        console.log('pageAfterOut', page);
      },
      pageBeforeRemove: function(e, page) {
        console.log('pageBeforeRemove', page);
      },
    }
  }
</script>